Bug 113267 - FILESAVE: PPTX shape changes colours after a RT
Summary: FILESAVE: PPTX shape changes colours after a RT
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, regression
Depends on:
Blocks: PPTX
  Show dependency treegraph
 
Reported: 2017-10-19 12:01 UTC by Xisco Faulí
Modified: 2019-01-23 17:37 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample document (11.50 KB, application/vnd.ms-powerpoint)
2017-10-19 12:01 UTC, Xisco Faulí
Details
another file affected by the same issue (125.50 KB, application/vnd.ms-powerpoint)
2017-10-19 14:58 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-10-19 12:01:10 UTC
Created attachment 137114 [details]
sample document

Steps to reproduce:
1. Open attached document
2. Save it as .PPTX
3. Open the new document

Observed behaviour: Button has changed its colours after the RT

Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: 8457b50ffd6e41b4925aef17bed2b5a2f3bf56bd
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2017-10-19 12:23:31 UTC
It's a regression because the shape and its colours were saved correctly in 

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

I've tried to bisect it but the shape is broken after RT after this commit b1751e6ed0fd6d6d26141e4405df92520e3c04cd. Then e0a0b6e8294aa5fcdfb36e5f38783486db0f0b2a fixed the shape but since this commit, the colour are changed after RT, however, I don't know whether this commit is the culprit.

Adding Mark Hung just in case...
Comment 2 Xisco Faulí 2017-10-19 14:58:50 UTC
Created attachment 137120 [details]
another file affected by the same issue
Comment 3 raal 2017-10-23 19:39:27 UTC
confirm. Version: 6.0.0.0.alpha1+
Build ID: d76c4e5c9aaf8bd27ec97679bcaeba5b18aca493
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3;
Comment 4 QA Administrators 2018-10-27 02:55:52 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug